Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0035337
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2017-02-22 12:062017-03-15 20:19
ReporterngarciaView Statuspublic 
Assigned Tocollazoandy4 
PriorityurgentResolutionfixedFixed in Version3.0PR17Q2
StatusclosedFix in branchFixed in SCM revisionef9c1ff7a9c2
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarkmm82
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0035337: [Negative Stock Correction]: Costing Background Process finishes with error if Warehouse dimension is selected in costing rule

Description[Negative Stock Correction]: Costing Background Process finishes with error if Warehouse dimension is selected in costing rule
Steps To ReproduceAs group admin role:
As group admin role:
   Set the Enable Negative Stock Corrections preference to Y
   Select the Allow negative stock option at Client level
   Validate a Costing Rule in F&B España S.A. with warehouse dimension selected
   Create a new product
   Create a purchase order
   Add 10 units of the previously created product with a price of 5
   Create the goods receipt in España Region Norte warehouse from it
   Launch the Costing Background process and check it finishes with the following error:
      could not resolve property: storageBin.warehouse.id of: MaterialMgmtMaterialTransaction
   The log shows:
      ERROR org.openbravo.costing.CostingBackground - could not resolve property: storageBin.warehouse.id of: MaterialMgmtMaterialTransaction
org.hibernate.QueryException: could not resolve property: storageBin.warehouse.id of: MaterialMgmtMaterialTransaction
    at org.hibernate.persister.entity.AbstractPropertyMapping.propertyException(AbstractPropertyMapping.java:81)
        ...
    at org.openbravo.dal.service.OBCriteria.uniqueResult(OBCriteria.java:129)
    at org.openbravo.costing.CostingUtils.existsProcessedTransactions(CostingUtils.java:810)
    at org.openbravo.costing.CostingServer.checkCostAdjustments(CostingServer.java:334)
    at org.openbravo.costing.CostingServer.process(CostingServer.java:132)
    at org.openbravo.costing.CostingBackground.doExecute(CostingBackground.java:129)
        ...
Proposed SolutionUse an alias in the criteria for the MaterialTransaction.PROPERTY_STORAGEBIN in existsProcessedTransactions function of CostingUtils class
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on defect 0035330 closedcollazoandy4 [Negative Stock Correction]: Warehouse is not taken into account to check if stock was negative previous to an stock increase 

-  Notes
(0094582)
hgbot (developer)
2017-02-23 18:22

Repository: erp/devel/pi
Changeset: ef9c1ff7a9c2dae621c3012cb0203e2a2c9fc06c
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Thu Feb 23 14:19:19 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/ef9c1ff7a9c2dae621c3012cb0203e2a2c9fc06c [^]

Fixes issue 35337: Fix CostingUtils.existsProcessedTransactions method

Add an alias for Locator class in CostingUtils.existsProcessedTransactions method.

---
M src/org/openbravo/costing/CostingUtils.java
---
(0094583)
markmm82 (developer)
2017-02-23 18:25

Code review + Testing OK
(0095227)
hudsonbot (developer)
2017-03-15 20:19

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/54e102bef53e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-02-22 12:06 ngarcia New Issue
2017-02-22 12:06 ngarcia Assigned To => Triage Finance
2017-02-22 12:06 ngarcia Modules => Core
2017-02-22 12:06 ngarcia Triggers an Emergency Pack => No
2017-02-22 12:07 ngarcia Relationship added depends on 0035330
2017-02-22 12:07 ngarcia Issue Monitored: networkb
2017-02-22 14:56 markmm82 Assigned To Triage Finance => collazoandy4
2017-02-22 15:55 egoitz Issue Monitored: egoitz
2017-02-22 18:32 Practics Issue Monitored: Practics
2017-02-23 18:22 hgbot Checkin
2017-02-23 18:22 hgbot Note Added: 0094582
2017-02-23 18:22 hgbot Status new => resolved
2017-02-23 18:22 hgbot Resolution open => fixed
2017-02-23 18:22 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/ef9c1ff7a9c2dae621c3012cb0203e2a2c9fc06c [^]
2017-02-23 18:25 markmm82 Review Assigned To => markmm82
2017-02-23 18:25 markmm82 Note Added: 0094583
2017-02-23 18:25 markmm82 Status resolved => closed
2017-02-23 18:25 markmm82 Fixed in Version => 3.0PR17Q2
2017-03-15 20:19 hudsonbot Checkin
2017-03-15 20:19 hudsonbot Note Added: 0095227


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker